/************************************************************************/
/*                                                                      */
/*                      Motorpotiplatine control                        */
/*                                                                      */
/*              Author : Frank Link                                     */
/*                       franklink61@aol.com                            */
/*              Version: 1.0                                            */
/************************************************************************/

#include <avr/io.h>
#include "motor.h"

/*
	initialize the variable
*/
void MotorInit( void )
{
	MotorLeftIsOn = MOTOR_OFF;
	MotorRightIsOn = MOTOR_OFF;
}


/*
	Turns off the motor
*/
void MotorOff( void )
{
	// Motor from
	PORTB = 0b00000000;
	PORTC = 0b00000000;
}

/*
	Switches the motor turning left
*/
void MotorLeftOn( void )
{
	DDRB  = 0b00111111;
	DDRC  = 0b00111111;
	PORTC = 0b00000000; // turn off
	PORTB = 0b00111111; // turn on
}

/*
	Switches the engine turning right
*/
void MotorRightOn( void )
{
	DDRB  = 0b00111111;
	DDRC  = 0b00111111;
	PORTB = 0b00000000; // turn off
	PORTC = 0b00111111; // turn on
}
