/************************************************************************/
/*                                                                      */
/*                      Motorpotiplatine control                        */
/*                                                                      */
/*              Author : Frank Link                                     */
/*                       franklink61@aol.com                            */
/*              Version: 1.0                                            */
/************************************************************************/

/*
	To run the engine without delay and without jerkiness can
will ensure that within a timer (Timer1) to a certain
Time waits until it automatically turns off.

If the timer has expired, the motor is switched off.
Is again within that time the corresponding button is pressed,
The timer is reset.
*/


#ifndef MOTORHEADER
#define MOTORHEADER

#define MOTORTIME      250e-5				// determined in the period during which the motor 
											// waits before the next push,
											// it switches off automatically.
#define MOTOR_ON_TIME  (uchar)(XTAL / 512 * MOTORTIME * 0.4 + 0.5)
#define MOTOR_ON       1
#define MOTOR_OFF      0

char MotorLeftIsOn;
char MotorRightIsOn;

void MotorInit( void );
void MotorOff( void );
void MotorLeftOn( void );
void MotorRightOn( void );

#endif
